
From: Nishanth Aravamudan <nacc@us.ibm.com>

Replace schedule_timeout() with msleep() to guarantee the task delays as
expected.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/smpboot.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/kernel/smpboot.c~i386-smpboot-use-msleep-instead-of-schedule_timeout arch/i386/kernel/smpboot.c
--- devel/arch/i386/kernel/smpboot.c~i386-smpboot-use-msleep-instead-of-schedule_timeout	2005-08-30 18:46:18.000000000 -0700
+++ devel-akpm/arch/i386/kernel/smpboot.c	2005-08-30 18:46:18.000000000 -0700
@@ -1331,8 +1331,7 @@ void __cpu_die(unsigned int cpu)
 			printk ("CPU %d is now offline\n", cpu);
 			return;
 		}
-		current->state = TASK_UNINTERRUPTIBLE;
-		schedule_timeout(HZ/10);
+		msleep(100);
 	}
  	printk(KERN_ERR "CPU %u didn't die...\n", cpu);
 }
_
